Bug 1873961 - [CI test code fix] Improve diagnosability of API disruption in CI
Summary: [CI test code fix] Improve diagnosability of API disruption in CI
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Stefan Schimanski
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks: 1845411
TreeView+ depends on / blocked
 
Reported: 2020-08-31 08:10 UTC by Stefan Schimanski
Modified: 2020-09-07 06:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25236 None closed Bug 1873961: e2e/apiserver: check for LateConnections+NonGracefulTermination events 2020-09-11 15:14:13 UTC

Description Stefan Schimanski 2020-08-31 08:10:43 UTC
Description of problem:

It is hard in CI to diagnose why the API is disrupted, especially during upgrades. 

In addition, we don't notice regressions in API stability during development.

Comment 3 Ke Wang 2020-09-07 06:17:13 UTC
The related tests worked and run passed, see testgrid reports and latest test logs as below:

https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-blocking#release-openshift-ocp-installer-e2e-aws-4.6&sort-by-flakiness

https://storage.googleapis.com/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-4.6/1302789846456078336/artifacts/e2e-aws/e2e.log
...
started: (1/2411/2414) "[sig-api-machinery][Feature:APIServer][Late] kubelet terminates kube-apiserver gracefully [Suite:openshift/conformance/parallel]"
...
started: (1/2414/2414) "[sig-api-machinery][Feature:APIServer][Late] API LBs follow /readyz of kube-apiserver and stop sending requests [Suite:openshift/conformance/parallel]"

passed: (19.2s) 2020-09-07T03:08:03 "[sig-api-machinery][Feature:APIServer][Late] kubelet terminates kube-apiserver gracefully [Suite:openshift/conformance/parallel]"

passed: (19.2s) 2020-09-07T03:08:03 "[sig-api-machinery][Feature:APIServer][Late] API LBs follow /readyz of kube-apiserver and stop sending requests [Suite:openshift/conformance/parallel]"
...


Note You need to log in before you can comment on or make changes to this bug.